Subject: Re: bug#62626: 29.0.60; describe-key errors on Edit→ Paste from Kill Ring → [any item]

From: Spencer Baugh <[email-masked]>
Date: Sun, 02 Apr 2023 15:06:53 -0400

Spencer Baugh <[email-masked]> writes:
> 1. emacs -Q
> 2. C-h k and in the menu bar, click on "Edit", then "Paste from Kill
> Menu", then "(any string)".
> 3. See error printed in *Messages*:
> event-basic-type: Wrong type argument: integer-or-marker-p, "(any string)"

describe-key is also broken with context-menu-mode in a different way,
btw.  It generates the help buffer fine, but the last key in the
sequence is wrong.  It looks like read-key-sequence returns a numeric
index into the menu for that key, counting up from from the last menu
entry and starting at 1, and then the help buffer is interpreting that
number as a key.